Bug 1408988 (drupal7-drafty) - Review Request: drupal7-drafty - Facilitates handling of draft revisions
Summary: Review Request: drupal7-drafty - Facilitates handling of draft revisions
Status: CLOSED ERRATA
Alias: drupal7-drafty
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1391292
TreeView+ depends on / blocked
 
Reported: 2016-12-28 18:08 UTC by Shawn Iwinski
Modified: 2017-01-16 17:21 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-01-09 00:57:56 UTC
gwync: fedora-review+


Attachments (Terms of Use)

Description Shawn Iwinski 2016-12-28 18:08:20 UTC
Spec URL: https://raw.githubusercontent.com/siwinski/rpms/38d6c7d68f559ddc7bec47ab274f93583c978be5/drupal7/drupal7-drafty.spec

SRPM URL: https://siwinski.fedorapeople.org/SRPMS/drupal7-drafty-1.0-0.1.beta3.fc24.src.rpm

Description:
API module for handling drafts of revisions.

This module doesn't provide any workflow handling, but it should provide robust
mechanisms for creating new revisions as drafts, publishing revisions, and
deletion of old drafts.

The goal of drafty is to be a dependency for workflow modules such as Workbench
Moderation [1], CPS [2] (and others). Currently, each of the workflow modules
has their own implementation for saving draft revisions.

[1] https://www.drupal.org/project/workbench_moderation
[2] https://www.drupal.org/project/cps


Fedora Account System Username: siwinski

Comment 1 Gwyn Ciesla 2016-12-28 18:54:49 UTC
- rpmlint checks return:

drupal7-drafty.noarch: W: spelling-error %description -l en_US workflow -> work flow, work-flow, workforce
The value of this tag appears to be misspelled. Please double-check.

Ignorable.

- package meets naming guidelines
- package meets packaging guidelines
- license ( GPLv2+ ) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (i686)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

APPROVED.

Comment 2 Gwyn Ciesla 2016-12-29 13:33:32 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/drupal7-drafty

Comment 3 Fedora Update System 2016-12-29 16:14:25 UTC
drupal7-drafty-1.0-0.1.beta3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ba6ac76896

Comment 4 Fedora Update System 2016-12-29 16:14:32 UTC
drupal7-drafty-1.0-0.1.beta3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-295a9eb147

Comment 5 Fedora Update System 2016-12-29 16:14:37 UTC
drupal7-drafty-1.0-0.1.beta3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-73d4bd9e59

Comment 6 Fedora Update System 2016-12-29 16:14:42 UTC
drupal7-drafty-1.0-0.1.beta3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c72a5fb183

Comment 7 Fedora Update System 2016-12-31 08:48:48 UTC
drupal7-drafty-1.0-0.1.beta3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ba6ac76896

Comment 8 Fedora Update System 2016-12-31 08:49:01 UTC
drupal7-drafty-1.0-0.1.beta3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-73d4bd9e59

Comment 9 Fedora Update System 2016-12-31 09:27:10 UTC
drupal7-drafty-1.0-0.1.beta3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c72a5fb183

Comment 10 Fedora Update System 2016-12-31 09:51:18 UTC
drupal7-drafty-1.0-0.1.beta3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-295a9eb147

Comment 11 Fedora Update System 2017-01-09 00:57:56 UTC
drupal7-drafty-1.0-0.1.beta3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-01-09 01:20:22 UTC
drupal7-drafty-1.0-0.1.beta3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-01-16 17:16:29 UTC
drupal7-drafty-1.0-0.1.beta3.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-01-16 17:21:32 UTC
drupal7-drafty-1.0-0.1.beta3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.